coreEngine.Calibration.Profiles

## Class DistProfile

- java.lang.Object
- - coreEngine.Calibration.Profile
  - - coreEngine.Calibration.Profiles.DistProfile

-     public class DistProfile
      extends Profile

  Author:
    jltrask

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Distribution` | `dist`
    `private static float` | `MAIN_AADT`
    `private static float[]` | `OFR_AADT`
    `private static float[]` | `ONR_AADT`
    `static float[]` | `periodMapping`
    `private static int` | `startPeriod`

    - ### Fields inherited from class coreEngine.Calibration.Profile

      `afType, alg, confPct, numPeriod, seg, TYPE_DAF, TYPE_OAF`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DistProfile(GeneticAlgorithm alg, int afType, int seg, int numPeriod)`
    `DistProfile(GeneticAlgorithm alg, int afType, int seg, int numPeriod, Distribution dist)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Profile[]` | `crossover(Profile mate)`
    `float` | `getAF(int period)`
    `java.lang.String` | `getBinaryAF(int period)`
    `Profile` | `getDeepCopy()`
    `Distribution` | `getDist()`
    `void` | `mutate()`
    `void` | `setAF(float val, int period)`
    `void` | `setAF(int val, int period)`
    `void` | `setAF(java.lang.String val, int period)`
    `void` | `setDistribution(Distribution dist)`
    `static void` | `setupMapping(Seed seed, float mainAADT, float[] onrAADT, float[] ofrAADT)`

    - ### Methods inherited from class coreEngine.Calibration.Profile

      `getAFLowerRange, getAFUpperRange, getNumPeriods, setConfidencePct`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### periodMapping

          public static final float[] periodMapping

    - #### startPeriod

          private static int startPeriod

    - #### MAIN_AADT

          private static float MAIN_AADT

    - #### ONR_AADT

          private static float[] ONR_AADT

    - #### OFR_AADT

          private static float[] OFR_AADT

    - #### dist

          protected Distribution dist

  - ### Constructor Detail

    - #### DistProfile

          public DistProfile(GeneticAlgorithm alg,
                             int afType,
                             int seg,
                             int numPeriod)

    - #### DistProfile

          public DistProfile(GeneticAlgorithm alg,
                             int afType,
                             int seg,
                             int numPeriod,
                             Distribution dist)

  - ### Method Detail

    - #### getAF

          public float getAF(int period)

      Specified by:
        `getAF` in class `Profile`

    - #### setAF

          public void setAF(java.lang.String val,
                            int period)

      Specified by:
        `setAF` in class `Profile`

    - #### setAF

          public void setAF(float val,
                            int period)

      Specified by:
        `setAF` in class `Profile`

    - #### setAF

          public void setAF(int val,
                            int period)

      Specified by:
        `setAF` in class `Profile`

    - #### getBinaryAF

          public java.lang.String getBinaryAF(int period)

      Specified by:
        `getBinaryAF` in class `Profile`

    - #### getDeepCopy

          public Profile getDeepCopy()

      Specified by:
        `getDeepCopy` in class `Profile`

    - #### mutate

          public void mutate()

      Specified by:
        `mutate` in class `Profile`

    - #### setDistribution

          public void setDistribution(Distribution dist)

    - #### getDist

          public Distribution getDist()

    - #### setupMapping

          public static void setupMapping(Seed seed,
                                          float mainAADT,
                                          float[] onrAADT,
                                          float[] ofrAADT)

    - #### crossover

          public Profile[] crossover(Profile mate)

      Specified by:
        `crossover` in class `Profile`